#
# spec file for package wxg-init (Version 20020205)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         wxg-init
Copyright:    GPL (only this init package! WXG itself is non-free!)
Group:        Extensions/Japanese
Autoreqprov:  on
Version:      20020205
Release:      75
URL:          http://www.ekotoba.com/
Source0:      rcwxg
Source1:      rc.config.wxg
Source2:      README
Source3:      WXG-LICENSE
Source4:      fetch-WXG
BuildRoot:    /var/tmp/%{name}-root
Summary:      Init script package for the Canna compatible WXG Japanese input server

%description
This package contains an init script and installs an /etc/rc.config entry
for the Japanese Input server WXG. It does *not* contain the server itself.
WXG is a Kana-Kanji conversion server using the Canna communication protocol.
WXG is compatible to NEC's Kana-Kanji conversion server "Canna"
and can therefore be talk to Canna clients like kinput2, canuum,
Mule, and XEmacs. It can be used as a direct replacement for Canna.
However, WXG uses the same port as Canna and can therefore not run
concurrently with Canna, you can run either WXG or Canna, not both at
the same time.
To get more information about the WXG input server, please have a look at
http://www.ekotoba.com. If you agree to the license you can download
the WXG server from that page.

Authors:
--------
    Mike Fabian <mfabian@suse.de>

SuSE series: j

%prep
%setup -n wxg-init-%{version} -c wxg-init-%{version} -T 
cp $RPM_SOURCE_DIR/README .
cp $RPM_SOURCE_DIR/WXG-LICENSE .

%build

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   install -d -m 755 $RPM_BUILD_ROOT
fi
# install init-script 'wxg':
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/init.d
install -m 755 $RPM_SOURCE_DIR/rcwxg $RPM_BUILD_ROOT/etc/init.d/wxg
# install template to update rc.config file:
# (updating rc.config is done in the %post-script)
mkdir -p -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/rc.config.wxg \
               $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.wxg
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/sbin
ln -sf ../../etc/init.d/wxg $RPM_BUILD_ROOT/usr/sbin/rcwxg
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
install -p -m 755 $RPM_SOURCE_DIR/fetch-WXG $RPM_BUILD_ROOT/usr/bin/fetch-WXG

%clean
rm -rf $RPM_BUILD_ROOT
#----------------------------------------------------------------------

%post
# Create symbolic run level links:
sbin/insserv etc/init.d/wxg
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d "=" etc/rc.config var/adm/fillup-templates/rc.config.wxg
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.wxg"
  echo "and update manually."
fi
echo "you can now try to run the script /usr/bin/fetch-WXG"
echo "to read the license of WXG, download and install it."

%postun
# Rearrange run level symlinks after removing the init script
sbin/insserv etc/init.d/

%files
%defattr(-, root, root)
%doc README WXG-LICENSE
/etc/init.d/wxg
/usr/sbin/rcwxg
/var/adm/fillup-templates/rc.config.wxg
/usr/bin/fetch-WXG

%changelog -n wxg-init
* Thu May 03 2001 - mfabian@suse.de
- make init scripts comply with latest LSB spec
* Wed Jan 24 2001 - mfabian@suse.de
- new package wxg-init (Init script, rc.config entry and installer
  for the Japanese input server WXG).
